> ## Documentation Index
> Fetch the complete documentation index at: https://doc.withedge.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer KYC Update

> This endpoint enables you to update an existing customer's KYC tier.

# Customer KYC Update

Use this endpoint to update the KYC tier of an existing customer. You must provide either the **nin** (National Identification Number) or the **livePicture** parameter to successfully make this call.

***

## Additional Information

<Info>
  This endpoint must be called using either the **nin** or the **livePicture**, but not both.
</Info>

***

## Request Parameters

<ParamField header="requestId" type="string" required>
  A unique identifier for the request, used for idempotency.\
  **Example:** `e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9`
</ParamField>

<ParamField path="customerId" type="string" required>
  The unique identifier for the customer whose KYC tier is being updated.\
  **Example:** `7100987614`
</ParamField>

<ParamField body="nin" type="string">
  The National Identification Number of the customer.\
  **Example:** `12345678901`
</ParamField>

<ParamField body="livePicture" type="string">
  A live picture of the customer for verification purposes.\
  **Example:** `base64encodedstringofpicture`
</ParamField>

<ResponseExample>
  ```json
  {
  	"statusCode": "00",
  	"message": "Customer KYC Tier Successfully updated",
  	"data": {
  		"customerId": "7100987614",
  		"kycTier": "0"
  	},
  	"errors": []
  }
  ```
</ResponseExample>
